Loading...
Searching...
No Matches
Ogre::Math::RandomValueProvider Class Referenceabstract

This class is used to provide an external random value provider. More...

`#include <OgreMath.h>`

## Public Member Functions

virtual | ~RandomValueProvider ()
virtual Real | getRandomUnit ()=0
| When called should return a random values in the range of [0,1].

## Detailed Description

This class is used to provide an external random value provider.

## Constructor & Destructor Documentation

## ~RandomValueProvider()

virtual Ogre::Math::RandomValueProvider::~RandomValueProvider | ( |  | ) |

inline virtual

## Member Function Documentation

## getRandomUnit()

virtual Real Ogre::Math::RandomValueProvider::getRandomUnit | ( |  | ) |

pure virtual

When called should return a random values in the range of [0,1].

The documentation for this class was generated from the following file:

- OgreMath.h